TEMPLATE	= lib
CONFIG		+= staticlib
#CONFIG		+= debug
DESTDIR		= ../ 

HEADERS += \
	BinaryInfo.h \
	MD5.h \
	BinaryString.h \
	Breakpoint.h \
	DebugEvent.h \
	ByteShiftArray.h \
	Configuration.h \
	SymbolManager.h \
	Core.h \
	State.h \
	MemoryRegions.h \
	AnalyzerInterface.h \
	DebuggerPluginInterface.h
	
SOURCES += \
	BinaryInfo.cpp \
	MD5.cpp \
	BinaryString.cpp \
	Breakpoint.cpp \
	DebugEvent.cpp \
	ByteShiftArray.cpp \
	Configuration.cpp \
	Core.cpp \
	SymbolManager.cpp \
	State.cpp \
	MemoryRegions.cpp \
	MemRegion.cpp
	
FORMS += \
	binarystring.ui \

include(../debugger.pri)
